Extensis Logo SUPPORT | FORUMS | KNOWLEDGE BASE

Suitcase Fusion 7 - Adobe CC


#1

In the Suitcase Fusion Support Guide I can see that Adobe CC (Creative Cloud) version is not working with
Suitcase Fusion 7. Will it work sometime in the future with the CC version of Adobe?

http://www.extensis.com/downloads/compatibility-guides/suitcase-fusion-compatibility-guide/


#2

Suitcase Fusion 7 supports plugins for Adobe Creative Suite 6 and Creative Cloud 2014 and above.
There aren’t any plans to go back and support the earlier versions of CC applications at this time.

Let us know what barriers exist so we can help you find a resolution.

Cheers,
Chris
Extensis Font Management Team